Package org.apache.sysds.common

# Enum Class Builtins

java.lang.Object
java.lang.Enum<Builtins>
org.apache.sysds.common.Builtins

All Implemented Interfaces:
  `Serializable`, `Comparable<Builtins>`, `Constable`

public enum Builtins extends Enum<Builtins>
Enum to represent all builtin functions in the default name space. Each function is either native or implemented by a DML script. In case of DML script, these functions are loaded during parsing. As always, user-defined DML-bodied functions take precedence over all builtin functions. To add a new builtin script function, simply add the definition here as well as a dml file in scripts/builtin with a matching name. On building SystemDS, these scripts are packaged into the jar as well.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABS`
`ABSTAIN`
`ACOS`
`ADASYN`
`ALS`
`ALS_CG`
`ALS_DS`
`ALS_PREDICT`
`ALS_TOPK_PREDICT`
`AMPUTE`
`APPLY_PIPELINE`
`APPLY_SCHEMA`
`ARIMA`
`ASIN`
`ATAN`
`AUC`
`AUTODIFF`
`AUTOENCODER2LAYER`
`AVG_POOL`
`AVG_POOL_BACKWARD`
`BANDIT`
`BATCH_NORM2D`
`BATCH_NORM2D_BACKWARD`
`BIASADD`
`BIASMULT`
`BITWAND`
`BITWOR`
`BITWSHIFTL`
`BITWSHIFTR`
`BITWXOR`
`BIVAR`
`CAST_AS_BOOLEAN`
`CAST_AS_DOUBLE`
`CAST_AS_FRAME`
`CAST_AS_INT`
`CAST_AS_LIST`
`CAST_AS_MATRIX`
`CAST_AS_SCALAR`
`CBIND`
`CDF`
`CEIL`
`CHOLESKY`
`COL_COUNT_DISTINCT`
`COLMAX`
`COLMEAN`
`COLMIN`
`COLNAMES`
`COLPROD`
`COLSD`
`COLSUM`
`COLVAR`
`COMPONENTS`
`COMPRESS`
`CONFUSIONMATRIX`
`CONTAINS`
`CONV2D`
`CONV2D_BACKWARD_DATA`
`CONV2D_BACKWARD_FILTER`
`COOCCURRENCEMATRIX`
`COR`
`CORRECTTYPOS`
`CORRECTTYPOSAPPLY`
`COS`
`COSH`
`COUNT_DISTINCT`
`COUNT_DISTINCT_APPROX`
`COUNT_DISTINCT_APPROX_COL`
`COUNT_DISTINCT_APPROX_ROW`
`COV`
`COX`
`CSPLINE`
`CSPLINE_CG`
`CSPLINE_DS`
`CUMMAX`
`CUMMIN`
`CUMPROD`
`CUMSUM`
`CUMSUMPROD`
`CVLM`
`DBSCAN`
`DBSCANAPPLY`
`DECISIONTREE`
`DECISIONTREEPREDICT`
`DECOMPRESS`
`DEDUP`
`DEEPWALK`
`DENIALCONSTRAINTS`
`DET`
`DETECTSCHEMA`
`DIAG`
`DIFFERENCESTATISTICS`
`DISCOVER_FD`
`DISCOVER_MD`
`DIST`
`DMV`
`DROP_INVALID_LENGTH`
`DROP_INVALID_TYPE`
`EIGEN`
`EINSUM`
`EMA`
`EVAL`
`EVALLIST`
`EXECUTE_PIPELINE`
`EXISTS`
`EXP`
`F1SCORE`
`FDR`
`FF_PREDICT`
`FF_TRAIN`
`FFT`
`FFT_LINEARIZED`
`FIT_PIPELINE`
`FIX_INVALID_LENGTHS`
`FIX_INVALID_LENGTHS_APPLY`
`FLATTENQUANTILE`
`FLOOR`
`FRAME_ROW_REPLICATE`
`FRAME_SORT`
`FREQUENCYENCODE`
`FREQUENCYENCODEAPPLY`
`GARCH`
`GAUSSIAN_CLASSIFIER`
`GET_ACCURACY`
`GET_CATEGORICAL_MASK`
`GLM`
`GLM_PREDICT`
`GLOVE`
`GMM`
`GMM_PREDICT`
`GNMF`
`GRID_SEARCH`
`GROUPEDAGG`
`HOSPITAL_RESIDENCY_MATCH`
`HYPERBAND`
`IFELSE`
`IFFT`
`IFFT_LINEARIZED`
`IMG_BRIGHTNESS`
`IMG_BRIGHTNESS_LINEARIZED`
`IMG_CROP`
`IMG_CROP_LINEARIZED`
`IMG_CUTOUT`
`IMG_CUTOUT_LINEARIZED`
`IMG_INVERT`
`IMG_INVERT_LINEARIZED`
`IMG_MIRROR`
`IMG_MIRROR_LINEARIZED`
`IMG_POSTERIZE`
`IMG_POSTERIZE_LINEARIZED`
`IMG_ROTATE`
`IMG_ROTATE_LINEARIZED`
`IMG_SAMPLE_PAIRING`
`IMG_SAMPLE_PAIRING_LINEARIZED`
`IMG_SHEAR`
`IMG_SHEAR_LINEARIZED`
`IMG_TRANSFORM`
`IMG_TRANSFORM_LINEARIZED`
`IMG_TRANSLATE`
`IMG_TRANSLATE_LINEARIZED`
`IMPURITY_MEASURES`
`IMPUTE_BY_KNN`
`IMPUTE_BY_MEAN`
`IMPUTE_BY_MEAN_APPLY`
`IMPUTE_BY_MEDIAN`
`IMPUTE_BY_MEDIAN_APPLY`
`IMPUTE_BY_MODE`
`IMPUTE_BY_MODE_APPLY`
`IMPUTE_FD`
`IMPUTE_FD_APPLY`
`INCSLICELINE`
`INTERQUANTILE`
`INTERSECT`
`INVCDF`
`INVERSE`
`IQM`
`ISINF`
`ISN_TRAIN`
`ISNA`
`ISNAN`
`KM`
`KMEANS`
`KMEANSPREDICT`
`KNN`
`KNNBF`
`KNNGRAPH`
`L2SVM`
`L2SVMPREDICT`
`LASSO`
`LENET_PREDICT`
`LENET_TRAIN`
`LENGTH`
`LINEAGE`
`LIST`
`LISTNV`
`LM`
`LMCG`
`LMDS`
`LMPREDICT`
`LMPREDICT_STATS`
`LOCAL`
`LOG`
`LOGSUMEXP`
`LOWER_TRI`
`LSTM`
`LSTM_BACKWARD`
`LU`
`MAE`
`MAP`
`MAPE`
`MATRIXPROFILE`
`MAX`
`MAX_POOL`
`MAX_POOL_BACKWARD`
`MCC`
`MEAN`
`MEDIAN`
`MICE`
`MICE_APPLY`
`MIN`
`MOMENT`
`MSE`
`MSMAPE`
`MSVM`
`MSVMPREDICT`
`MULTILOGREG`
`MULTILOGREGPREDICT`
`NA_LOCF`
`NAIVEBAYES`
`NAIVEBAYESPREDICT`
`NCOL`
`NORMALIZE`
`NORMALIZEAPPLY`
`NRMSE`
`NROW`
`ORDER`
`OUTER`
`OUTLIER`
`OUTLIER_ARIMA`
`OUTLIER_IQR`
`OUTLIER_IQR_APPLY`
`OUTLIER_SD`
`OUTLIER_SD_APPLY`
`PAGERANK`
`PARAMSERV`
`PCA`
`PCAINVERSE`
`PCATRANSFORM`
`PCHISQ`
`PEXP`
`PF`
`PNMF`
`PNORM`
`PPCA`
`PPRED`
`PROD`
`PSNR`
`PT`
`QCHISQ`
`QEXP`
`QF`
`QNORM`
`QR`
`QT`
`QUANTILE`
`QUANTIZE_COMPRESS`
`QUANTIZEBYCLUSTER`
`RAGROUPBY`
`RAJOIN`
`RANDOM_FOREST`
`RANDOM_FOREST_PREDICT`
`RANGE`
`RASELECTION`
`RBIND`
`RCM`
`REMOVE`
`REPLACE`
`REV`
`RMEMPTY`
`RMSE`
`ROLL`
`ROUND`
`ROW_COUNT_DISTINCT`
`ROWCUMSUM`
`ROWINDEXMAX`
`ROWINDEXMIN`
`ROWMAX`
`ROWMEAN`
`ROWMIN`
`ROWPROD`
`ROWSD`
`ROWSUM`
`ROWVAR`
`SAMPLE`
`SCALE`
`SCALE_MINMAX`
`SCALEAPPLY`
`SCALEROBUST`
`SCALEROBUSTAPPLY`
`SD`
`SELVARTHRESH`
`SEQ`
`SES`
`SETDIFF`
`SHAPEXPLAINER`
`SHERLOCK`
`SHERLOCKPREDICT`
`SHORTESTPATH`
`SIGMOID`
`SIGN`
`SIN`
`SINH`
`SKEWNESS`
`SLICEFINDER`
`SLICELINE`
`SLICELINE_DEBUG`
`SLICELINE_EXTRACT`
`SMAPE`
`SMOTE`
`SOFTMAX`
`SOLVE`
`SPLIT`
`SPLIT_BALANCED`
`SQRT`
`SQRT_MATRIX`
`SQRT_MATRIX_JAVA`
`STABLE_MARRIAGE`
`STATSNA`
`STEPLM`
`STFT`
`STRATSTATS`
`SUM`
`SVD`
`SYMMETRICDIFFERENCE`
`TABLE`
`TAN`
`TANH`
`TIME`
`TO_ONE_HOT`
`TOKENIZE`
`TOMEKLINK`
`TOPK_CLEANING`
`TOSTRING`
`TRACE`
`TRANS`
`TRANSFORMAPPLY`
`TRANSFORMCOLMAP`
`TRANSFORMDECODE`
`TRANSFORMENCODE`
`TRANSFORMMETA`
`TSNE`
`TYPEOF`
`UNDER_SAMPLING`
`UNION`
`UNIQUE`
`UNIVAR`
`UPPER_TRI`
`VALUE_SWAP`
`VAR`
`VECTOR_TO_CSV`
`WER`
`WINSORIZE`
`WINSORIZEAPPLY`
`WOE`
`WOEAPPLY`
`XDUMMY1`
`XDUMMY2`
`XGBOOST`
`XGBOOSTPREDICT`
`XGBOOSTPREDICT_CLASS`
`XGBOOSTPREDICT_REG`
`XOR`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`contains(String name, boolean script, boolean parameterized)`
`static Builtins`
`get(String name)`
`static Builtins`
`get(String name, boolean params)`
`String`
`getAlias()`
`static String`
`getFilePath(String name)`
`static String`
`getInternalFName(String name, Types.DataType dt)`
`String`
`getName()`
`boolean`
`isMultiReturn()`
`boolean`
`isParameterized()`
`boolean`
`isScript()`
`static Builtins`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Builtins[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABSTAIN

public static final Builtins ABSTAIN

### ABS

public static final Builtins ABS

### ACOS

public static final Builtins ACOS

### ADASYN

public static final Builtins ADASYN

### ALS

public static final Builtins ALS

### ALS_CG

public static final Builtins ALS_CG

### ALS_DS

public static final Builtins ALS_DS

### ALS_PREDICT

public static final Builtins ALS_PREDICT

### ALS_TOPK_PREDICT

public static final Builtins ALS_TOPK_PREDICT

### AMPUTE

public static final Builtins AMPUTE

### APPLY_PIPELINE

public static final Builtins APPLY_PIPELINE

### APPLY_SCHEMA

public static final Builtins APPLY_SCHEMA

### ARIMA

public static final Builtins ARIMA

### ASIN

public static final Builtins ASIN

### ATAN

public static final Builtins ATAN

### AUC

public static final Builtins AUC

### AUTOENCODER2LAYER

public static final Builtins AUTOENCODER2LAYER

### AVG_POOL

public static final Builtins AVG_POOL

### AVG_POOL_BACKWARD

public static final Builtins AVG_POOL_BACKWARD

### BATCH_NORM2D

public static final Builtins BATCH_NORM2D

### BATCH_NORM2D_BACKWARD

public static final Builtins BATCH_NORM2D_BACKWARD

### BIASADD

public static final Builtins BIASADD

### BIASMULT

public static final Builtins BIASMULT

### BANDIT

public static final Builtins BANDIT

### BITWAND

public static final Builtins BITWAND

### BITWOR

public static final Builtins BITWOR

### BITWXOR

public static final Builtins BITWXOR

### BITWSHIFTL

public static final Builtins BITWSHIFTL

### BITWSHIFTR

public static final Builtins BITWSHIFTR

### BIVAR

public static final Builtins BIVAR

### CAST_AS_BOOLEAN

public static final Builtins CAST_AS_BOOLEAN

### CAST_AS_DOUBLE

public static final Builtins CAST_AS_DOUBLE

### CAST_AS_FRAME

public static final Builtins CAST_AS_FRAME

### CAST_AS_INT

public static final Builtins CAST_AS_INT

### CAST_AS_LIST

public static final Builtins CAST_AS_LIST

### CAST_AS_MATRIX

public static final Builtins CAST_AS_MATRIX

### CAST_AS_SCALAR

public static final Builtins CAST_AS_SCALAR

### CBIND

public static final Builtins CBIND

### CEIL

public static final Builtins CEIL

### CHOLESKY

public static final Builtins CHOLESKY

### COL_COUNT_DISTINCT

public static final Builtins COL_COUNT_DISTINCT

### COLMAX

public static final Builtins COLMAX

### COLMEAN

public static final Builtins COLMEAN

### COLMIN

public static final Builtins COLMIN

### COLNAMES

public static final Builtins COLNAMES

### COLPROD

public static final Builtins COLPROD

### COLSD

public static final Builtins COLSD

### COLSUM

public static final Builtins COLSUM

### COLVAR

public static final Builtins COLVAR

### COMPONENTS

public static final Builtins COMPONENTS

### COMPRESS

public static final Builtins COMPRESS

### QUANTIZE_COMPRESS

public static final Builtins QUANTIZE_COMPRESS

### CONFUSIONMATRIX

public static final Builtins CONFUSIONMATRIX

### CONV2D

public static final Builtins CONV2D

### CONV2D_BACKWARD_FILTER

public static final Builtins CONV2D_BACKWARD_FILTER

### CONV2D_BACKWARD_DATA

public static final Builtins CONV2D_BACKWARD_DATA

### COOCCURRENCEMATRIX

public static final Builtins COOCCURRENCEMATRIX

### COR

public static final Builtins COR

### CORRECTTYPOS

public static final Builtins CORRECTTYPOS

### CORRECTTYPOSAPPLY

public static final Builtins CORRECTTYPOSAPPLY

### COS

public static final Builtins COS

### COSH

public static final Builtins COSH

### COV

public static final Builtins COV

### COX

public static final Builtins COX

### CSPLINE

public static final Builtins CSPLINE

### CSPLINE_CG

public static final Builtins CSPLINE_CG

### CSPLINE_DS

public static final Builtins CSPLINE_DS

### CUMMAX

public static final Builtins CUMMAX

### CUMMIN

public static final Builtins CUMMIN

### CUMPROD

public static final Builtins CUMPROD

### CUMSUM

public static final Builtins CUMSUM

### CUMSUMPROD

public static final Builtins CUMSUMPROD

### DBSCAN

public static final Builtins DBSCAN

### DBSCANAPPLY

public static final Builtins DBSCANAPPLY

### DECISIONTREE

public static final Builtins DECISIONTREE

### DECISIONTREEPREDICT

public static final Builtins DECISIONTREEPREDICT

### DECOMPRESS

public static final Builtins DECOMPRESS

### DEDUP

public static final Builtins DEDUP

### DEEPWALK

public static final Builtins DEEPWALK

### DET

public static final Builtins DET

### DETECTSCHEMA

public static final Builtins DETECTSCHEMA

### DENIALCONSTRAINTS

public static final Builtins DENIALCONSTRAINTS

### DIFFERENCESTATISTICS

public static final Builtins DIFFERENCESTATISTICS

### DIAG

public static final Builtins DIAG

### DISCOVER_FD

public static final Builtins DISCOVER_FD

### DISCOVER_MD

public static final Builtins DISCOVER_MD

### SETDIFF

public static final Builtins SETDIFF

### DIST

public static final Builtins DIST

### DMV

public static final Builtins DMV

### DROP_INVALID_TYPE

public static final Builtins DROP_INVALID_TYPE

### DROP_INVALID_LENGTH

public static final Builtins DROP_INVALID_LENGTH

### EIGEN

public static final Builtins EIGEN

### EMA

public static final Builtins EMA

### EXISTS

public static final Builtins EXISTS

### EXECUTE_PIPELINE

public static final Builtins EXECUTE_PIPELINE

### EXP

public static final Builtins EXP

### EVAL

public static final Builtins EVAL

### EVALLIST

public static final Builtins EVALLIST

### F1SCORE

public static final Builtins F1SCORE

### FDR

public static final Builtins FDR

### FIT_PIPELINE

public static final Builtins FIT_PIPELINE

### FIX_INVALID_LENGTHS

public static final Builtins FIX_INVALID_LENGTHS

### FIX_INVALID_LENGTHS_APPLY

public static final Builtins FIX_INVALID_LENGTHS_APPLY

### FFT

public static final Builtins FFT

### FFT_LINEARIZED

public static final Builtins FFT_LINEARIZED

### FF_TRAIN

public static final Builtins FF_TRAIN

### FF_PREDICT

public static final Builtins FF_PREDICT

### FLOOR

public static final Builtins FLOOR

### FLATTENQUANTILE

public static final Builtins FLATTENQUANTILE

### FRAME_SORT

public static final Builtins FRAME_SORT

### FRAME_ROW_REPLICATE

public static final Builtins FRAME_ROW_REPLICATE

### FREQUENCYENCODE

public static final Builtins FREQUENCYENCODE

### FREQUENCYENCODEAPPLY

public static final Builtins FREQUENCYENCODEAPPLY

### GARCH

public static final Builtins GARCH

### GAUSSIAN_CLASSIFIER

public static final Builtins GAUSSIAN_CLASSIFIER

### GET_ACCURACY

public static final Builtins GET_ACCURACY

### GET_CATEGORICAL_MASK

public static final Builtins GET_CATEGORICAL_MASK

### GLM

public static final Builtins GLM

### GLM_PREDICT

public static final Builtins GLM_PREDICT

### GLOVE

public static final Builtins GLOVE

### GMM

public static final Builtins GMM

### GMM_PREDICT

public static final Builtins GMM_PREDICT

### GNMF

public static final Builtins GNMF

### GRID_SEARCH

public static final Builtins GRID_SEARCH

### TOPK_CLEANING

public static final Builtins TOPK_CLEANING

### HOSPITAL_RESIDENCY_MATCH

public static final Builtins HOSPITAL_RESIDENCY_MATCH

### HYPERBAND

public static final Builtins HYPERBAND

### IFELSE

public static final Builtins IFELSE

### IFFT

public static final Builtins IFFT

### IFFT_LINEARIZED

public static final Builtins IFFT_LINEARIZED

### IMG_MIRROR

public static final Builtins IMG_MIRROR

### IMG_MIRROR_LINEARIZED

public static final Builtins IMG_MIRROR_LINEARIZED

### IMG_BRIGHTNESS

public static final Builtins IMG_BRIGHTNESS

### IMG_BRIGHTNESS_LINEARIZED

public static final Builtins IMG_BRIGHTNESS_LINEARIZED

### IMG_CROP

public static final Builtins IMG_CROP

### IMG_CROP_LINEARIZED

public static final Builtins IMG_CROP_LINEARIZED

### IMG_TRANSFORM

public static final Builtins IMG_TRANSFORM

### IMG_TRANSFORM_LINEARIZED

public static final Builtins IMG_TRANSFORM_LINEARIZED

### IMG_TRANSLATE

public static final Builtins IMG_TRANSLATE

### IMG_TRANSLATE_LINEARIZED

public static final Builtins IMG_TRANSLATE_LINEARIZED

### IMG_ROTATE

public static final Builtins IMG_ROTATE

### IMG_ROTATE_LINEARIZED

public static final Builtins IMG_ROTATE_LINEARIZED

### IMG_SHEAR

public static final Builtins IMG_SHEAR

### IMG_SHEAR_LINEARIZED

public static final Builtins IMG_SHEAR_LINEARIZED

### IMG_CUTOUT

public static final Builtins IMG_CUTOUT

### IMG_CUTOUT_LINEARIZED

public static final Builtins IMG_CUTOUT_LINEARIZED

### IMG_SAMPLE_PAIRING

public static final Builtins IMG_SAMPLE_PAIRING

### IMG_SAMPLE_PAIRING_LINEARIZED

public static final Builtins IMG_SAMPLE_PAIRING_LINEARIZED

### IMG_INVERT

public static final Builtins IMG_INVERT

### IMG_INVERT_LINEARIZED

public static final Builtins IMG_INVERT_LINEARIZED

### IMG_POSTERIZE

public static final Builtins IMG_POSTERIZE

### IMG_POSTERIZE_LINEARIZED

public static final Builtins IMG_POSTERIZE_LINEARIZED

### IMPURITY_MEASURES

public static final Builtins IMPURITY_MEASURES

### IMPUTE_BY_KNN

public static final Builtins IMPUTE_BY_KNN

### IMPUTE_BY_MEAN

public static final Builtins IMPUTE_BY_MEAN

### IMPUTE_BY_MEAN_APPLY

public static final Builtins IMPUTE_BY_MEAN_APPLY

### IMPUTE_BY_MEDIAN

public static final Builtins IMPUTE_BY_MEDIAN

### IMPUTE_BY_MEDIAN_APPLY

public static final Builtins IMPUTE_BY_MEDIAN_APPLY

### IMPUTE_BY_MODE

public static final Builtins IMPUTE_BY_MODE

### IMPUTE_BY_MODE_APPLY

public static final Builtins IMPUTE_BY_MODE_APPLY

### IMPUTE_FD

public static final Builtins IMPUTE_FD

### IMPUTE_FD_APPLY

public static final Builtins IMPUTE_FD_APPLY

### INCSLICELINE

public static final Builtins INCSLICELINE

### INTERQUANTILE

public static final Builtins INTERQUANTILE

### INTERSECT

public static final Builtins INTERSECT

### INVERSE

public static final Builtins INVERSE

### IQM

public static final Builtins IQM

### ISNA

public static final Builtins ISNA

### ISNAN

public static final Builtins ISNAN

### ISINF

public static final Builtins ISINF

### ISN_TRAIN

public static final Builtins ISN_TRAIN

### KM

public static final Builtins KM

### KMEANS

public static final Builtins KMEANS

### KMEANSPREDICT

public static final Builtins KMEANSPREDICT

### KNNBF

public static final Builtins KNNBF

### KNNGRAPH

public static final Builtins KNNGRAPH

### KNN

public static final Builtins KNN

### L2SVM

public static final Builtins L2SVM

### L2SVMPREDICT

public static final Builtins L2SVMPREDICT

### LASSO

public static final Builtins LASSO

### LENET_TRAIN

public static final Builtins LENET_TRAIN

### LENET_PREDICT

public static final Builtins LENET_PREDICT

### LENGTH

public static final Builtins LENGTH

### LINEAGE

public static final Builtins LINEAGE

### LIST

public static final Builtins LIST

### LM

public static final Builtins LM

### LMCG

public static final Builtins LMCG

### LMDS

public static final Builtins LMDS

### LMPREDICT

public static final Builtins LMPREDICT

### LMPREDICT_STATS

public static final Builtins LMPREDICT_STATS

### LOCAL

public static final Builtins LOCAL

### LOG

public static final Builtins LOG

### LOGSUMEXP

public static final Builtins LOGSUMEXP

### LSTM

public static final Builtins LSTM

### LSTM_BACKWARD

public static final Builtins LSTM_BACKWARD

### LU

public static final Builtins LU

### MAP

public static final Builtins MAP

### MATRIXPROFILE

public static final Builtins MATRIXPROFILE

### MAX

public static final Builtins MAX

### MAX_POOL

public static final Builtins MAX_POOL

### MAX_POOL_BACKWARD

public static final Builtins MAX_POOL_BACKWARD

### MCC

public static final Builtins MCC

### MAE

public static final Builtins MAE

### MAPE

public static final Builtins MAPE

### MEAN

public static final Builtins MEAN

### MEDIAN

public static final Builtins MEDIAN

### MICE

public static final Builtins MICE

### MICE_APPLY

public static final Builtins MICE_APPLY

### MIN

public static final Builtins MIN

### MOMENT

public static final Builtins MOMENT

### MSE

public static final Builtins MSE

### MSMAPE

public static final Builtins MSMAPE

### MSVM

public static final Builtins MSVM

### MSVMPREDICT

public static final Builtins MSVMPREDICT

### MULTILOGREG

public static final Builtins MULTILOGREG

### MULTILOGREGPREDICT

public static final Builtins MULTILOGREGPREDICT

### NA_LOCF

public static final Builtins NA_LOCF

### NAIVEBAYES

public static final Builtins NAIVEBAYES

### NAIVEBAYESPREDICT

public static final Builtins NAIVEBAYESPREDICT

### NCOL

public static final Builtins NCOL

### NORMALIZE

public static final Builtins NORMALIZE

### NORMALIZEAPPLY

public static final Builtins NORMALIZEAPPLY

### NROW

public static final Builtins NROW

### NRMSE

public static final Builtins NRMSE

### OUTER

public static final Builtins OUTER

### OUTLIER

public static final Builtins OUTLIER

### OUTLIER_ARIMA

public static final Builtins OUTLIER_ARIMA

### OUTLIER_IQR

public static final Builtins OUTLIER_IQR

### OUTLIER_IQR_APPLY

public static final Builtins OUTLIER_IQR_APPLY

### OUTLIER_SD

public static final Builtins OUTLIER_SD

### OUTLIER_SD_APPLY

public static final Builtins OUTLIER_SD_APPLY

### PAGERANK

public static final Builtins PAGERANK

### PCA

public static final Builtins PCA

### PCAINVERSE

public static final Builtins PCAINVERSE

### PCATRANSFORM

public static final Builtins PCATRANSFORM

### PNMF

public static final Builtins PNMF

### PPCA

public static final Builtins PPCA

### PPRED

public static final Builtins PPRED

### PROD

public static final Builtins PROD

### PSNR

public static final Builtins PSNR

### QR

public static final Builtins QR

### QUANTILE

public static final Builtins QUANTILE

### QUANTIZEBYCLUSTER

public static final Builtins QUANTIZEBYCLUSTER

### RANDOM_FOREST

public static final Builtins RANDOM_FOREST

### RANDOM_FOREST_PREDICT

public static final Builtins RANDOM_FOREST_PREDICT

### RANGE

public static final Builtins RANGE

### RAGROUPBY

public static final Builtins RAGROUPBY

### RAJOIN

public static final Builtins RAJOIN

### RASELECTION

public static final Builtins RASELECTION

### RBIND

public static final Builtins RBIND

### RCM

public static final Builtins RCM

### REMOVE

public static final Builtins REMOVE

### REV

public static final Builtins REV

### ROLL

public static final Builtins ROLL

### ROUND

public static final Builtins ROUND

### ROW_COUNT_DISTINCT

public static final Builtins ROW_COUNT_DISTINCT

### ROWCUMSUM

public static final Builtins ROWCUMSUM

### ROWINDEXMAX

public static final Builtins ROWINDEXMAX

### ROWINDEXMIN

public static final Builtins ROWINDEXMIN

### ROWMAX

public static final Builtins ROWMAX

### ROWMEAN

public static final Builtins ROWMEAN

### ROWMIN

public static final Builtins ROWMIN

### ROWPROD

public static final Builtins ROWPROD

### ROWSD

public static final Builtins ROWSD

### ROWSUM

public static final Builtins ROWSUM

### ROWVAR

public static final Builtins ROWVAR

### RMSE

public static final Builtins RMSE

### SAMPLE

public static final Builtins SAMPLE

### SD

public static final Builtins SD

### SELVARTHRESH

public static final Builtins SELVARTHRESH

### SEQ

public static final Builtins SEQ

### SES

public static final Builtins SES

### SYMMETRICDIFFERENCE

public static final Builtins SYMMETRICDIFFERENCE

### SHAPEXPLAINER

public static final Builtins SHAPEXPLAINER

### SHERLOCK

public static final Builtins SHERLOCK

### SHERLOCKPREDICT

public static final Builtins SHERLOCKPREDICT

### SHORTESTPATH

public static final Builtins SHORTESTPATH

### SIGMOID

public static final Builtins SIGMOID

### SIGN

public static final Builtins SIGN

### SIN

public static final Builtins SIN

### SINH

public static final Builtins SINH

### SLICEFINDER

public static final Builtins SLICEFINDER

### SLICELINE

public static final Builtins SLICELINE

### SLICELINE_DEBUG

public static final Builtins SLICELINE_DEBUG

### SLICELINE_EXTRACT

public static final Builtins SLICELINE_EXTRACT

### SKEWNESS

public static final Builtins SKEWNESS

### SMAPE

public static final Builtins SMAPE

### SMOTE

public static final Builtins SMOTE

### SOFTMAX

public static final Builtins SOFTMAX

### SOLVE

public static final Builtins SOLVE

### SPLIT

public static final Builtins SPLIT

### SPLIT_BALANCED

public static final Builtins SPLIT_BALANCED

### STABLE_MARRIAGE

public static final Builtins STABLE_MARRIAGE

### STATSNA

public static final Builtins STATSNA

### STRATSTATS

public static final Builtins STRATSTATS

### STEPLM

public static final Builtins STEPLM

### STFT

public static final Builtins STFT

### SQRT

public static final Builtins SQRT

### SQRT_MATRIX

public static final Builtins SQRT_MATRIX

### SQRT_MATRIX_JAVA

public static final Builtins SQRT_MATRIX_JAVA

### SUM

public static final Builtins SUM

### SVD

public static final Builtins SVD

### TABLE

public static final Builtins TABLE

### TAN

public static final Builtins TAN

### TANH

public static final Builtins TANH

### TO_ONE_HOT

public static final Builtins TO_ONE_HOT

### TOMEKLINK

public static final Builtins TOMEKLINK

### TRACE

public static final Builtins TRACE

### TRANS

public static final Builtins TRANS

### TSNE

public static final Builtins TSNE

### TYPEOF

public static final Builtins TYPEOF

### UNIVAR

public static final Builtins UNIVAR

### UNION

public static final Builtins UNION

### VAR

public static final Builtins VAR

### VALUE_SWAP

public static final Builtins VALUE_SWAP

### VECTOR_TO_CSV

public static final Builtins VECTOR_TO_CSV

### WER

public static final Builtins WER

### WINSORIZE

public static final Builtins WINSORIZE

### WINSORIZEAPPLY

public static final Builtins WINSORIZEAPPLY

### WOE

public static final Builtins WOE

### WOEAPPLY

public static final Builtins WOEAPPLY

### XGBOOST

public static final Builtins XGBOOST

### XGBOOSTPREDICT

public static final Builtins XGBOOSTPREDICT

### XGBOOSTPREDICT_REG

public static final Builtins XGBOOSTPREDICT_REG

### XGBOOSTPREDICT_CLASS

public static final Builtins XGBOOSTPREDICT_CLASS

### XOR

public static final Builtins XOR

### AUTODIFF

public static final Builtins AUTODIFF

### CDF

public static final Builtins CDF

### CONTAINS

public static final Builtins CONTAINS

### COUNT_DISTINCT

public static final Builtins COUNT_DISTINCT

### COUNT_DISTINCT_APPROX

public static final Builtins COUNT_DISTINCT_APPROX

### COUNT_DISTINCT_APPROX_ROW

public static final Builtins COUNT_DISTINCT_APPROX_ROW

### COUNT_DISTINCT_APPROX_COL

public static final Builtins COUNT_DISTINCT_APPROX_COL

### CVLM

public static final Builtins CVLM

### GROUPEDAGG

public static final Builtins GROUPEDAGG

### INVCDF

public static final Builtins INVCDF

### LISTNV

public static final Builtins LISTNV

### LOWER_TRI

public static final Builtins LOWER_TRI

### ORDER

public static final Builtins ORDER

### PARAMSERV

public static final Builtins PARAMSERV

### PCHISQ

public static final Builtins PCHISQ

### PEXP

public static final Builtins PEXP

### PF

public static final Builtins PF

### PNORM

public static final Builtins PNORM

### PT

public static final Builtins PT

### QCHISQ

public static final Builtins QCHISQ

### QEXP

public static final Builtins QEXP

### QF

public static final Builtins QF

### QNORM

public static final Builtins QNORM

### QT

public static final Builtins QT

### REPLACE

public static final Builtins REPLACE

### RMEMPTY

public static final Builtins RMEMPTY

### SCALE

public static final Builtins SCALE

### SCALEAPPLY

public static final Builtins SCALEAPPLY

### SCALEROBUST

public static final Builtins SCALEROBUST

### SCALEROBUSTAPPLY

public static final Builtins SCALEROBUSTAPPLY

### SCALE_MINMAX

public static final Builtins SCALE_MINMAX

### TIME

public static final Builtins TIME

### TOKENIZE

public static final Builtins TOKENIZE

### TOSTRING

public static final Builtins TOSTRING

### TRANSFORMAPPLY

public static final Builtins TRANSFORMAPPLY

### TRANSFORMCOLMAP

public static final Builtins TRANSFORMCOLMAP

### TRANSFORMDECODE

public static final Builtins TRANSFORMDECODE

### TRANSFORMENCODE

public static final Builtins TRANSFORMENCODE

### TRANSFORMMETA

public static final Builtins TRANSFORMMETA

### UNDER_SAMPLING

public static final Builtins UNDER_SAMPLING

### UNIQUE

public static final Builtins UNIQUE

### UPPER_TRI

public static final Builtins UPPER_TRI

### EINSUM

public static final Builtins EINSUM

### XDUMMY1

public static final Builtins XDUMMY1

### XDUMMY2

public static final Builtins XDUMMY2

## Method Details

### values

public static Builtins[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Builtins valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### getAlias

public String getAlias()

### isScript

public boolean isScript()

### isParameterized

public boolean isParameterized()

### isMultiReturn

public boolean isMultiReturn()

### contains

public static boolean contains(String name, boolean script, boolean parameterized)

### get

public static Builtins get(String name)

### get

public static Builtins get(String name, boolean params)

### getFilePath

public static String getFilePath(String name)

### getInternalFName

public static String getInternalFName(String name, Types.DataType dt)